Package org.kapott.hbci.passport.rdhXfile

# Class MACField

java.lang.Object
org.kapott.hbci.passport.rdhXfile.TLV
org.kapott.hbci.passport.rdhXfile.MACField

public class MACField extends TLV

## Constructor Summary

Constructors
Constructor
Description
`MACField()`
`MACField(TLV tlv)`

## Method Summary

Modifier and Type
Method
Description
`byte[]`
`getMac()`
`void`
`setMac(byte[] mac)`
`String`
`toString()`
`void`
`updateData()`

### Methods inherited from class org.kapott.hbci.passport.rdhXfile.TLV

`expand, getData, getLength, getRawData, getTag, int2ba, long2ba, reverseba, setData, trimba`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### MACField

public MACField()

### MACField

public MACField(TLV tlv)

## Method Details

### getMac

public byte[] getMac()

### setMac

public void setMac(byte[] mac)

### updateData

public void updateData()

Overrides:
  `updateData` in class `TLV`

### toString

public String toString()

Overrides:
  `toString` in class `Object`